From 3041136d3c76fba5bfbd033e84b23dee17e23f5e Mon Sep 17 00:00:00 2001
From: Daniel Stone <daniels@collabora.com>
Date: Wed, 1 Apr 2020 12:43:51 +0100
Subject: [PATCH] EGL: Add eglSetDamageRegionKHR to GLVND dispatch list

This was missed in the original conversion, which added support for
eglSetDamageRegionKHR to local EGL exports, but forgot to generate
updated dispatch for GLVND.

Signed-off-by: Daniel Stone <daniels@collabora.com>
Fixes: 9827547313c7 ("egl/android: support for EGL_KHR_partial_update")
---
 src/egl/generate/eglFunctionList.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/egl/generate/eglFunctionList.py b/src/egl/generate/eglFunctionList.py
index 192280f58f0..171e3ddc821 100644
--- a/src/egl/generate/eglFunctionList.py
+++ b/src/egl/generate/eglFunctionList.py
@@ -213,5 +213,8 @@ EGL_FUNCTIONS = (
     _eglFunc("eglGetDisplayDriverName",              "display"),
     _eglFunc("eglGetDisplayDriverConfig",            "display"),
 
+    # EGL_KHR_partial_update
+    _eglFunc("eglSetDamageRegionKHR",                "display"),
+
 )
 
-- 
2.25.1

